Beat

data

## Class Beat

- java.lang.Object
- - data.Beat

-     public class Beat
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `instrument`
    `private java.util.ArrayList<NoteData>` | `notes`
    `private int` | `Part`
    `private int` | `Phrase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Beat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNote(NoteData note)`
    `java.util.ArrayList<NoteData>` | `getBeat()`
    `double` | `getBeatSum()` gibt die (belegte) quantisierte Dauer des aktuellen Takts zurueck
    `NoteData` | `getHighestNote()` liefert die hoechste Note des Takts
    `int` | `getInstrument()`
    `NoteData` | `getLowestNote()` liefert die niedrigste Note des Takts
    `NoteData` | `getNote(int Pos)` gibt die Note an der uebergebenen Position zurueck
    `int` | `getNoteCount()` gibt die Anzahl der Noten in dem Takt zurueck
    `int` | `getPart()`
    `int` | `getPhrase()`
    `boolean` | `isEmpty()`
    `void` | `setInstrument(int instrument)`
    `void` | `setPart(int Part)`
    `void` | `setPhrase(int Phrase)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### notes

          private java.util.ArrayList<NoteData> notes

    - #### instrument

          private int instrument

    - #### Part

          private int Part

    - #### Phrase

          private int Phrase

  - ### Constructor Detail

    - #### Beat

          public Beat()

  - ### Method Detail

    - #### addNote

          public void addNote(NoteData note)

    - #### getBeat

          public java.util.ArrayList<NoteData> getBeat()

    - #### getNote

          public NoteData getNote(int Pos)

      gibt die Note an der uebergebenen Position zurueck
      Parameters:
        `Pos` - Position der Note
      Returns:
        die Note oder falls an dieser Position keine Note ist null

    - #### getPart

          public int getPart()

    - #### setPart

          public void setPart(int Part)

    - #### getPhrase

          public int getPhrase()

    - #### setPhrase

          public void setPhrase(int Phrase)

    - #### getInstrument

          public int getInstrument()

    - #### setInstrument

          public void setInstrument(int instrument)

    - #### isEmpty

          public boolean isEmpty()

    - #### getBeatSum

          public double getBeatSum()

      gibt die (belegte) quantisierte Dauer des aktuellen Takts zurueck
      Returns:
        Dauer des belegten Platzes im Takt

    - #### getNoteCount

          public int getNoteCount()

      gibt die Anzahl der Noten in dem Takt zurueck
      Returns:
        Anzahl der Noten im Takt

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getHighestNote

          public NoteData getHighestNote()

      liefert die hoechste Note des Takts
      Returns:
        die hoechste Note

    - #### getLowestNote

          public NoteData getLowestNote()

      liefert die niedrigste Note des Takts
      Returns:
        die niedrigste Note